org.openstreetmap.josm.plugins.streetside.history.commands

## Class CommandMove

- java.lang.Object
- - org.openstreetmap.josm.plugins.streetside.history.commands.StreetsideCommand
  - - org.openstreetmap.josm.plugins.streetside.history.commands.CommandMove

-     public class CommandMove
      extends StreetsideCommand

  Command created when an image's position is changed.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private double` | `x`
    `private double` | `y`

    - ### Fields inherited from class org.openstreetmap.josm.plugins.streetside.history.commands.StreetsideCommand

      `images`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandMove(Set<StreetsideAbstractImage> images, double x, double y)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `redo()` Redoes the action.
    `void` | `sum(StreetsideCommand command)` If two equal commands are applied consecutively to the same set of images, they are summed in order to reduce them to just one command.
    `String` | `toString()`
    `void` | `undo()` Undoes the action.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          private double x

    - #### y

          private double y

  - ### Constructor Detail

    - #### CommandMove

          public CommandMove(Set<StreetsideAbstractImage> images,
                             double x,
                             double y)

      Main constructor.
      Parameters:
        `images` - Set of images that are going to be moved.
        `x` - How much the x coordinate increases.
        `y` - How much the y coordinate increases.

  - ### Method Detail

    - #### undo

          public void undo()

      Description copied from class: `StreetsideCommand`
      Undoes the action.
      Specified by:
        `undo` in class `StreetsideCommand`

    - #### redo

          public void redo()

      Description copied from class: `StreetsideCommand`
      Redoes the action.
      Specified by:
        `redo` in class `StreetsideCommand`

    - #### toString

          public String toString()

      Specified by:
        `toString` in class `StreetsideCommand`

    - #### sum

          public void sum(StreetsideCommand command)

      Description copied from class: `StreetsideCommand`
      If two equal commands are applied consecutively to the same set of images, they are summed in order to reduce them to just one command.
      Specified by:
        `sum` in class `StreetsideCommand`
      Parameters:
        `command` - The command to be summed to last command.

JOSM Plugins